package com.huimv.eartag2.manage2.schedule;

import com.huimv.eartag2.manage2.service.IEartagService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.scheduling.annotation.Scheduled;

import java.io.IOException;
import java.sql.Timestamp;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@Configuration      //1.主要用于标记配置类，兼备Component的效果。
@EnableScheduling   // 2.开启定时任务
public class EartagTask {

    @Autowired
    private IEartagService eartagService;

    // 10分钟
    @Scheduled(cron = "0 0/10 * * * ? ")
    private void countEartagOnlineTimes() throws IOException {
        Timestamp nowTimestamp = new Timestamp(new java.util.Date().getTime());
        System.out.println("时间戳="+nowTimestamp);

//        ExecutorService service = Executors.newFixedThreadPool(5);
//        ExecutorService service = Executors.newSingleThreadExecutor();
//        RunnableTaskEartagOnlineStatus task1 = new RunnableTaskEartagOnlineStatus();
//        service.execute(task1);
        //更新耳标在线状态
        eartagService.updateEartagLiveStatusAndCount();
    }
}
